com.rscja.team.qcom

## Class DeviceConfiguration_qcom

- java.lang.Object
- - com.rscja.team.qcom.DeviceConfiguration_qcom

-     public class DeviceConfiguration_qcom
      extends java.lang.Object

  设备参数配置类
  Device parameter config type
  Author:
    liuruifeng

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeviceConfiguration_qcom.Platform`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A4_8953_90`
    `static java.lang.String` | `A4_RK_3568_110`
    `static java.lang.String` | `A4C8_RK_3568_110`
    `static java.lang.String` | `A8_8909`
    `static java.lang.String` | `A8_8953_90`
    `static java.lang.String` | `C4000_6577`
    `static java.lang.String` | `C4000_6582`
    `static java.lang.String` | `C4050_6582`
    `static java.lang.String` | `C4050_8909`
    `static java.lang.String` | `C60_MTK_6765_110`
    `static java.lang.String` | `C60_QCM2150_100`
    `static java.lang.String` | `C60_SMD450_100`
    `static java.lang.String` | `C6000_6735`
    `static java.lang.String` | `C6000_8909`
    `static java.lang.String` | `C61_SMD450_90`
    `static java.lang.String` | `C61P_SM6115_110`
    `static java.lang.String` | `C66_8953`
    `static java.lang.String` | `C66_SMD450_90`
    `static java.lang.String` | `C66P_SM6115_110`
    `static java.lang.String` | `C70_6735`
    `static java.lang.String` | `C70_6763`
    `static java.lang.String` | `C71_6763`
    `static java.lang.String` | `C72_6735`
    `static java.lang.String` | `C72_6763`
    `static java.lang.String` | `C76_6735`
    `static java.lang.String` | `H100_6735`
    `static java.lang.String` | `H100_8953`
    `static boolean` | `isLoadLibrary`
    `static java.lang.String` | `MC50_4350_120`
    `static java.lang.String` | `P80_8786_130`
    `static java.lang.String` | `P80_8953`
    `static java.lang.String` | `P80_8953_90`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceConfiguration_qcom` | `builder1DConfiguration()` 创建一维条码配置信息 Create 1D barcode config infor.
    `static DeviceConfiguration_qcom` | `builder2DConfiguration()` 创建二维条码配置信息 Create 2D barcode config infor.
    `static DeviceConfiguration_qcom` | `builderA8ExtendedUartConfiguration()` 创建A8扩展串口配置信息
    `static DeviceConfiguration_qcom` | `builderBDConfiguration()` 创建北斗配置信息 Create Beidou config infor.
    `static DeviceConfiguration_qcom` | `builderDefaultConfiguration()`
    `static DeviceConfiguration_qcom` | `builderFingerprintConfiguration()` 创建Fingerprint配置信息 Create Fingerprint config infor.
    `static DeviceConfiguration_qcom` | `builderInfraredConfiguration()` 创建红外配置信息 Create infrared config infor.
    `static DeviceConfiguration_qcom` | `builderLFConfiguration()` 创建低频配置信息 Create LF config infor.
    `static DeviceConfiguration_qcom` | `builderPrinterConfiguration()` 创建打印机配置信息 Create printer config infor.
    `static DeviceConfiguration_qcom` | `builderRFIDConfiguration()` 创建RFID配置信息 Create RFID config infor.
    `static DeviceConfiguration_qcom` | `builderUHFConfiguration()` 创建UHF配置信息 Create UHF config infor.
    `static DeviceConfiguration_qcom` | `builderUrx()` 创建ur 4 配置信息 Create 1D barcode config infor.
    `int` | `getBaudrate()` 获取波特率 Acquire baud rate
    `static com.rscja.team.qcom.DeviceConfiguration_qcom.DeviceInfo` | `getDeviceInfoFromFile()`
    `java.lang.String` | `getDeviceName()` 获取设备名 Acquire device name
    `java.lang.String` | `getIP()` 获取端口
    `static java.lang.String` | `getModel()` 获取设备型号 Acquire device model NO.
    `static java.lang.String` | `getPlatform()`
    `int` | `getPort()` 获取端口
    `java.lang.String` | `getUart()` 获取串口路径 Acquire serial port directory
    `void` | `setBaudrate(int baudrate)` 设置波特率 Setup baudrate
    `void` | `setDeviceName(java.lang.String deviceName)` 设置设备名 Setup device name
    `void` | `setIP(java.lang.String ipString)` 设置端口
    `void` | `setPort(int port)` 设置端口
    `void` | `setUart(java.lang.String uart)` 设置串口路径 Setup serial port directory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isLoadLibrary

          public static boolean isLoadLibrary

    - #### C6000_6735

          public static java.lang.String C6000_6735

    - #### H100_6735

          public static java.lang.String H100_6735

    - #### C70_6735

          public static java.lang.String C70_6735

    - #### C72_6735

          public static java.lang.String C72_6735

    - #### C76_6735

          public static java.lang.String C76_6735

    - #### C70_6763

          public static java.lang.String C70_6763

    - #### C71_6763

          public static java.lang.String C71_6763

    - #### C72_6763

          public static java.lang.String C72_6763

    - #### C6000_8909

          public static java.lang.String C6000_8909

    - #### C4050_8909

          public static java.lang.String C4050_8909

    - #### C4000_6582

          public static java.lang.String C4000_6582

    - #### C4050_6582

          public static java.lang.String C4050_6582

    - #### C4000_6577

          public static java.lang.String C4000_6577

    - #### P80_8786_130

          public static final java.lang.String P80_8786_130

      See Also:
        Constant Field Values

    - #### P80_8953

          public static final java.lang.String P80_8953

      See Also:
        Constant Field Values

    - #### P80_8953_90

          public static final java.lang.String P80_8953_90

      See Also:
        Constant Field Values

    - #### H100_8953

          public static final java.lang.String H100_8953

      See Also:
        Constant Field Values

    - #### C66_8953

          public static final java.lang.String C66_8953

      See Also:
        Constant Field Values

    - #### C66P_SM6115_110

          public static final java.lang.String C66P_SM6115_110

      See Also:
        Constant Field Values

    - #### C61_SMD450_90

          public static final java.lang.String C61_SMD450_90

      See Also:
        Constant Field Values

    - #### C61P_SM6115_110

          public static final java.lang.String C61P_SM6115_110

      See Also:
        Constant Field Values

    - #### C66_SMD450_90

          public static final java.lang.String C66_SMD450_90

      See Also:
        Constant Field Values

    - #### C60_SMD450_100

          public static final java.lang.String C60_SMD450_100

      See Also:
        Constant Field Values

    - #### C60_QCM2150_100

          public static final java.lang.String C60_QCM2150_100

      See Also:
        Constant Field Values

    - #### C60_MTK_6765_110

          public static final java.lang.String C60_MTK_6765_110

      See Also:
        Constant Field Values

    - #### MC50_4350_120

          public static final java.lang.String MC50_4350_120

      See Also:
        Constant Field Values

    - #### A8_8909

          public static java.lang.String A8_8909

    - #### A8_8953_90

          public static java.lang.String A8_8953_90

    - #### A4_8953_90

          public static java.lang.String A4_8953_90

    - #### A4_RK_3568_110

          public static java.lang.String A4_RK_3568_110

    - #### A4C8_RK_3568_110

          public static java.lang.String A4C8_RK_3568_110

  - ### Method Detail

    - #### getModel

          public static java.lang.String getModel()

      获取设备型号
      Acquire device model NO.
      Returns:

    - #### builder1DConfiguration

          public static DeviceConfiguration_qcom builder1DConfiguration()
                                                                 throws ConfigurationException

      创建一维条码配置信息
      Create 1D barcode config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builder2DConfiguration

          public static DeviceConfiguration_qcom builder2DConfiguration()
                                                                 throws ConfigurationException

      创建二维条码配置信息
      Create 2D barcode config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderRFIDConfiguration

          public static DeviceConfiguration_qcom builderRFIDConfiguration()
                                                                   throws ConfigurationException

      创建RFID配置信息
      Create RFID config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderA8ExtendedUartConfiguration

          public static DeviceConfiguration_qcom builderA8ExtendedUartConfiguration()
                                                                             throws ConfigurationException

      创建A8扩展串口配置信息
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderUHFConfiguration

          public static DeviceConfiguration_qcom builderUHFConfiguration()
                                                                  throws ConfigurationException

      创建UHF配置信息
      Create UHF config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderPrinterConfiguration

          public static DeviceConfiguration_qcom builderPrinterConfiguration()
                                                                      throws ConfigurationException

      创建打印机配置信息
      Create printer config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderFingerprintConfiguration

          public static DeviceConfiguration_qcom builderFingerprintConfiguration()
                                                                          throws ConfigurationException

      创建Fingerprint配置信息
      Create Fingerprint config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderLFConfiguration

          public static DeviceConfiguration_qcom builderLFConfiguration()
                                                                 throws ConfigurationException

      创建低频配置信息
      Create LF config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderBDConfiguration

          public static DeviceConfiguration_qcom builderBDConfiguration()
                                                                 throws ConfigurationException

      创建北斗配置信息
      Create Beidou config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderInfraredConfiguration

          public static DeviceConfiguration_qcom builderInfraredConfiguration()
                                                                       throws ConfigurationException

      创建红外配置信息
      Create infrared config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderDefaultConfiguration

          public static DeviceConfiguration_qcom builderDefaultConfiguration()
                                                                      throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setDeviceName

          public void setDeviceName(java.lang.String deviceName)

      设置设备名
      Setup device name
      Parameters:
        `deviceName` - 设备名，如："C4000"
        Device name, e.g.: C4000.

    - #### setUart

          public void setUart(java.lang.String uart)

      设置串口路径
      Setup serial port directory.
      Parameters:
        `uart` - 串口路径，如："/dev/ttyMT3"
        Serial port directory, e.g.: '/dev/ttyMT3'

    - #### setBaudrate

          public void setBaudrate(int baudrate)

      设置波特率
      Setup baudrate
      Parameters:
        `baudrate` - 波特率，如：9600
        Baud rate, e.g.:9600

    - #### getDeviceName

          public java.lang.String getDeviceName()

      获取设备名
      Acquire device name
      Returns:
        设备名

    - #### getUart

          public java.lang.String getUart()

      获取串口路径
      Acquire serial port directory
      Returns:
        串口路径

    - #### getBaudrate

          public int getBaudrate()

      获取波特率
      Acquire baud rate
      Returns:
        波特率

    - #### getPlatform

          public static java.lang.String getPlatform()

    - #### getDeviceInfoFromFile

          public static com.rscja.team.qcom.DeviceConfiguration_qcom.DeviceInfo getDeviceInfoFromFile()

    - #### builderUrx

          public static DeviceConfiguration_qcom builderUrx()

      创建ur 4 配置信息
      Create 1D barcode config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### getPort

          public int getPort()

      获取端口
      Returns:

    - #### setPort

          public void setPort(int port)

      设置端口
      Parameters:
        `port` -

    - #### getIP

          public java.lang.String getIP()

      获取端口
      Returns:

    - #### setIP

          public void setIP(java.lang.String ipString)

      设置端口
      Parameters:
        `ipString` -